Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class GroovyCategorySupport

    java.lang.Object
      org.codehaus.groovy.runtime.GroovyCategorySupport

    class GroovyCategorySupport
    extends Object

author:
  sam

author:
  Paul King

author:
  Alex Tkachman

Nested Class Summary
`class` | `GroovyCategorySupport.CategoryMethod`
`class` | `GroovyCategorySupport.CategoryMethodList`
`class` | `GroovyCategorySupport.MyThreadLocal`
`class` | `GroovyCategorySupport.ThreadCategoryInfo`

Constructor Summary
`GroovyCategorySupport()`

Method Summary
`static CategoryMethodList` | `getCategoryMethods(String name)` This method is used to pull all the new methods out of the local thread context with a particular name.
`static AtomicInteger` | `getCategoryNameUsage(String name)`
`static boolean` | `hasCategoryInAnyThread()`
`static boolean` | `hasCategoryInCurrentThread()`
`static Object` | `use(Class categoryClass, Closure closure)` Create a scope based on given categoryClass and invoke closure within that scope.
`static Object` | `use(List categoryClasses, Closure closure)` Create a scope based on given categoryClasses and invoke closure within that scope.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyCategorySupport

    GroovyCategorySupport()

Method Detail

### getCategoryMethods

    public static CategoryMethodList getCategoryMethods(String name)

  This method is used to pull all the new methods out of the local thread context with a particular name.
  param:
    name the method name of interest
  return:
    the list of methods

### getCategoryNameUsage

    public static AtomicInteger getCategoryNameUsage(String name)

### hasCategoryInAnyThread

    public static boolean hasCategoryInAnyThread()

### hasCategoryInCurrentThread

    public static boolean hasCategoryInCurrentThread()

### use

    public static Object use(Class categoryClass, Closure closure)

  Create a scope based on given categoryClass and invoke closure within that scope.
  param:
    categoryClass the class containing category methods
  param:
    closure the closure during which to make the category class methods available
  return:
    the value returned from the closure

### use

    public static Object use(List categoryClasses, Closure closure)

  Create a scope based on given categoryClasses and invoke closure within that scope.
  param:
    categoryClasses the list of classes containing category methods
  param:
    closure the closure during which to make the category class methods available
  return:
    the value returned from the closure

Copyright © 2003-2009 The Codehaus. All rights reserved.